
#include "r_typedefs.h"
#include "sys_scheduler.h"
#include "Watchdog.h"

extern uint32_t u32ResetFlag;

int main(void)
{
    Sys_Init();

    while (1U)
    {
        u32ResetFlag = 0xA55AA55AUL;
        Sys_Scheduling_Service();
        WDT_Clear();
    }
}